> ## Documentation Index
> Fetch the complete documentation index at: https://guide.chatwize.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch list of Sources

> Fetch the list of sources for a chatbot specified by chatbot uuid

### Path

<ParamField path="uuid" type="string" required />

### Response

<ResponseField name="" type="object[]">
  Source list

  <Expandable title="Source properties">
    <ResponseField name="uuid" type="string" />

    <ResponseField name="created_at" type="string" />

    <ResponseField name="modified_at" type="string" />

    <ResponseField name="title" type="string" />

    <ResponseField name="tokens" type="string" />

    <ResponseField name="file_size" type="string" />

    <ResponseField name="file_name" type="string" />

    <ResponseField name="type" type="string" />

    <ResponseField name="status" type="string" />

    <ResponseField name="meta_json" type="string" />
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Curl
  curl --location --request GET 'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-sources' \
  --header 'Authorization: Bearer <token>'
  ```

  ```py Python
  import requests

  uuid = '<chatbot-uuid>'
  url = f'https://app.chatwize.ai/api/v1/chatbot/{uuid}/data-sources'
  headers = {
      'Authorization': 'Bearer <token>'
  }

  response = requests.get(url, headers=headers)

  if response.status_code == 200:
      print("Request successful!")
      print(response.json())
  else:
      print("Request failed with status code:", response.status_code)
      print(response.text)
  ```

  ```ts JavaScript
  const axios = require('axios');

  const uuid = '<chatbot-uuid>'
  const url = `https://app.chatwize.ai/api/v1/chatbot/${uuid}/data-sources`;
  const headers = {
      'Authorization': 'Bearer <token>'
  };

  axios.get(url, { headers })
      .then(response => {
          console.log('Request successful!');
          console.log(response.data);
      })
      .catch(error => {
          console.error('Request failed:', error);
      });
  ```
</RequestExample>

<ResponseExample>
  ```json Response
  [
    {
      "created_at": "string",
      "file_name": "string",
      "file_size": 0,
      "meta_json": "string",
      "modified_at": "string",
      "status": "string",
      "title": "string",
      "tokens": 0,
      "type": "string",
      "uuid": "string"
    }
  ]

  ```
</ResponseExample>
